﻿
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
    @Html.Partial("_scripts")
    <link rel="stylesheet" href="~/css/site.min.css" type="text/css" />
</head>
<body>
    <div id="app">
        <table v-if="grid" style="background-image: url(/assets/@ViewBag.gridCode\.png); background-position: 12px 15px; background-repeat: no-repeat; background-size: 1400px 700px">
            <tbody>
                <tr>
                    <th></th>
                    <th height="15" v-for="(item,index) in grid[0]"><span v-if="false && index%5==0">{{index.toLocaleString(undefined, {minimumIntegerDigits: 2})}}</span></th>
                </tr>
                <tr v-for="(subgrid,index) in grid">
                    <th width="12"><span v-if="false">{{ (index + 1) }}</span></th>
                    <td v-bind:title="(item.isOpened)? item.content:(index * grid[0].length) + (subindex) + 1"
                        :style="{ 'background-color': item.isOpened?item.color :null, 'width': '70px', 'height': '70px' }"
                        width="70" height="70" v-for="(item,subindex) in subgrid">
                        <div v-if="item.content && item.isOpened"><center>{{ item.content }}</center></div>
                        <div v-if="!item.isOpened"><center>{{ (index * grid[0].length) + (subindex) + 1 }}</center></div>
                        <div v-if="!item.content && item.isOpened"><center style="color: white;">A définir</center></div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <script src="~/js/site.min.js" type="text/javascript"></script>
</body>
</html>
